ColumnFilter.Builder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.filter

## Class ColumnFilter.Builder

- java.lang.Object
- - org.apache.cassandra.db.filter.ColumnFilter.Builder

- Enclosing class:
    ColumnFilter

      public static class ColumnFilter.Builder
      extends java.lang.Object

  A builder for a `ColumnFilter` object. Note that the columns added to this build are the _queried_ column. Whether or not all columns are _fetched_ depends on which constructor you've used to obtained this builder, allColumnsBuilder (all columns are fetched) or selectionBuilder (only the queried columns are fetched). Note that for a allColumnsBuilder, if no queried columns are added, this is interpreted as querying all columns, not querying none (but if you know you want to query all columns, prefer `ColumnFilter.all(CFMetaData)`. For selectionBuilder, adding no queried columns means no column will be fetched (so the builder will return `PartitionColumns.NONE`).

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnFilter.Builder` | `add(ColumnDefinition c)`
    `ColumnFilter.Builder` | `addAll(java.lang.Iterable<ColumnDefinition> columns)`
    `ColumnFilter` | `build()`
    `ColumnFilter.Builder` | `select(ColumnDefinition c, CellPath elt)`
    `ColumnFilter.Builder` | `slice(ColumnDefinition c, CellPath from, CellPath to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          public ColumnFilter.Builder add(ColumnDefinition c)

    - #### addAll

          public ColumnFilter.Builder addAll(java.lang.Iterable<ColumnDefinition> columns)

    - #### slice

          public ColumnFilter.Builder slice(ColumnDefinition c,
                                            CellPath from,
                                            CellPath to)

    - #### select

          public ColumnFilter.Builder select(ColumnDefinition c,
                                             CellPath elt)

    - #### build

          public ColumnFilter build()

Copyright © 2018 The Apache Software Foundation